ul,li {
	list-style: none;
}
.bm {
    vertical-align: -webkit-baseline-middle;
    line-height: 40px;
    padding-left: 10px;
}
.table-cell {
	display: table-cell !important;
}
.bold {
	font-weight: bold;
}
.red {
	color: red;
	/*padding-right: 5px;*/
}
.green {
	color: #28dc27;
	padding-right: 3px;
}
.blue {
	color: blue;
}
.radius {
	display: inline-block;
    width: 16px;
    height: 16px;
    border-radius: 50%;
    margin: 0 6px -2px 0;
}
.bg-green {
    background-color: #3c0;
}
.bg-red {
    background-color: red;
}
.bg-blue {
    background-color: #0cf;
}
.blue {
    color: #23b7e5;
    font-weight: bold;
}
.pl-none {
	padding-left: 0 !important;
}
.pl-6 {
	padding-left: 6px;
}
.pl-10 {
	padding-left: 10px;
}
.pr-5 {
    padding-right: 5px;
}
.pt-10 {
	padding-top: 10px;
}
.pb-10 {
	padding-bottom: 10px;
}
.pb-none {
	padding-bottom: 0 !important;
}
.m10 {
	margin: 10px !important;
}
.mr-5 {
	margin-right: 5px;
}
.ml-5 {
	margin-left: 5px;
}
.mt-10 {
	margin-top: 10px;
}
.mr-6 {
	margin-right: 6px;
}
.mb-none {
	margin-bottom: 0;
}
.min-w {
	min-width: 60px;
}
.w-a {
	width: auto;
}
.w-60 {
	width: 60%;
}
.w-70 {
	width: 70%;
}
.input-sm {
	display: inline-block;
    width: 70px;
    height: 34px;
    border: 1px solid #ccc;
}
.pane {
	/* background: #fff; */
}
.myselect {
	min-width: 180px;
}

.table-search {
	float: right;
	background: rgba(0,0,0,0.3);
    border: 1px solid #5c5e71;
    border-radius: 2px;
    padding: 2px 0;
}
.table-search input {
	background: rgba(0,0,0,0);
    border: 0;
    color: #fff;
    border-radius: 0;
    border-right: 1px solid #5c5e71;
    border-top-left-radius: 2px;
    border-bottom-left-radius: 2px;
}
.table-search .fa-search {
    height: 100%;
    font-size: 16px;
    width: 40px;
    text-align: center;
}
.table-search select {
    background: transparent;
    min-width: 90px;
    padding: 5px;
    font-size: 12px;
    border: 0;
    border-right: 1px solid #5c5e71;
    height: 24px;
}
.table-search select > option {
	background: rgba(20,17,34, 0.9);
}
.displayName {    
	color: #ffeb88 !important;
}
.displayName:hover{
	cursor: pointer;
}

.condition.disabled {
    background-color: rgba(168,172,224,0.2);
    border-color: rgba(168,172,224,0.2);
    pointer-events: none;
    /* opacity: 0.2; */
    color: #fff !important;
}
.condition.disabled:hover {
    background-color: rgba(168,172,224,0.4);
    border-color: rgba(168,172,224,0.4);
}

.step-set {
	text-align: center;
}
.step-set .btn {
    margin: 0 2px 0px 0px;
    padding: 2px 7px;
    border-radius: 0;
}
.dropdown-toggle {
	min-width: 160px;
}
.capacity slider {
	width: 250px;
}
.capacity .num-ctrl {
	position: relative;
}
.capacity .num-ctrl input {
	width: 60px;
    text-indent: 4px;
    background-color: rgba(0,0,0,0.0);
    border: 1px solid #26afd7;
    padding: 4px;
}
.capacity .num-ctrl i.up {
	position: absolute;
    top: 0;
    right: 18px;
}
.capacity .num-ctrl i.down {
	position: absolute;
    bottom: 0;
    right: 18px;
}
.cycle {
	position: relative;
}
.cycle .up,
.cycle .down {
	position: absolute;
    display: inline-block;
    width: 40px;
    height: 34px;
    background: #ccc;
    text-align: center;
    color: #fff;
    line-height: 34px;
	background: #2266ba;
}
.cycle input {
	text-align: center;
	text-indent: 34px;
}
.cycle .down {
	border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}
.cycle .up{
	right: 29px;
}
.page-title {
	padding: 16px 0;
	border-bottom: 1px solid #727187;
	border-top-right-radius: 4px;
    border-bottom-right-radius: 4px;
}

.page-title .title {
	display: inline-block;
	border-left: 2px solid #88B7E0;
	text-indent: 8px;
	font-size:15px;
}

.page-title .back {
	border: 1px solid #727187;    
	background-color: rgba(200,200,200,0.2);
	margin-left: 10px;
	padding: 4px 12px;
}
.page-title .back:hover {
	background-color: rgba(200,200,200,0.4);
}
.page-title .back i {
	padding-right: 6px;
}
.resource-list {
	margin-top: 10px;
	padding: 20px 10px 11px 10px;
	background: rgba(0,0,0,0.3);
}

.resource-list .page-title {
	display: table-cell;
    padding: 0 10px;
    border-left: 2px solid #88B7E0;
    border-bottom: 0;
    min-width: 80px;
    font-size:15px;
}

.resource-list>ul {
	/* display: table-cell; */
	margin: 0;
	padding: 0;
}

.resource-list>ul>li {
	position: relative;
	margin-right: 2px;
    display: inline-block;
    margin: 0 2px 4px 0px;
}

.resource-list>ul>li>a {
	display: inline-block;
    padding: 0 8px;
    background-color: rgba(200,200,200,0.2);
    border-radius: 2px;
    color: #b3c5d3;
    line-height: 36px;
    height: 36px;
    width: 94px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    text-align: center;
    margin-right: 2px;
}

.resource-list>ul>li>a:hover + .small-tip {
	display: inline-block;
}
.resource-list>ul>li>a:hover,
.resource-list>ul>li>a.active {
	background-color: #2266ba;
	color: #FFFFFF;
}
.resource-list>ul>li .small-tip {
    position: absolute;
    display: none;
    top: -29px;
    left: 0;
    min-width: 94px;
    padding: 0 6px;
    height: 22px;
    line-height: 22px;
    background: #000;
    color: #fff;
    text-align: center;
    opacity: 0.7;
    border-radius: 4px;
    font-size: 12px;
    white-space: nowrap;
}
.resource-list>ul>li .small-tip:after {
  content: "";
  display: inline-block;
  position: absolute;
  top: 22px;
  left: 44px;
  border-top: 6px solid #000;
  border-left: 4px solid transparent;
  border-right: 4px solid transparent;
}

.ui-grid,
.ui-grid-header-cell {
    border: 0;
}
.ui-grid-header {
    border-bottom: 0;
}
.ui-grid-top-panel {
    background: rgba(0,0,0,0.2);
    color: #fff;
    font-weight: normal;
}

.ui-grid-header-cell {
	vertical-align: middle;
}

.ui-grid-header-cell-row .ui-grid-cell-contents {
	text-align: left;
    text-indent: 10px;
    padding: 15px 0;
}

.ui-grid-menu-button{
	height: 50px;
	background: rgba(0,0,0,0.2);
	line-height: 50px;
    color: #2877d8;
    border: 0;
}

.ui-grid-column-menu-button {
	top: 13px;
}
.ui-grid-canvas {
	padding-top: 0;
}
.ui-grid-cell {
    border-right: 0px solid #eef3f9;
    border-bottom: 0px solid #eef3f9;
    height: 40px !important;
    line-height: 28px;
    color: #bdd0df;
    border-bottom: 1px solid #727187;
    text-align: left;
}
.ui-grid-cell:first-child {
	text-align: center;
}
.ui-grid-row:hover .ui-grid-cell{
    background: rgba(34,102,186,0.35);
    color: #fff;
}
/* .ui-grid-row:nth-child(odd) .ui-grid-cell {
    background-color: #f9f9f9;
}
.ui-grid-row:hover:nth-child(odd) .ui-grid-cell {
    background-color: #f5f5f5;
}
.ui-grid-row:nth-child(even) .ui-grid-cell {
    background-color: #fff;
}
.ui-grid-row:hover:nth-child(even) .ui-grid-cell {
    background-color: #f5f5f5;
} */
.ui-grid-menu .ui-grid-menu-inner ul li button {
    /* background: #f9f9f9; */
}
.unfoot .ui-grid-pager-panel{
	display:none;
}
.ui-grid-viewport::-webkit-scrollbar {
    width: 5px;
    background-color:#1A1425;
}
.ui-grid-viewport::-webkit-scrollbar-thumb {
    background-color: #9D9C9C;
}
.vm .overview {
	font-size: 14px;
    font-weight: 500;    
    background: rgba(0,0,0,0.3);
    padding: 0 24px 0 10px;
    line-height: 40px;
    margin-top: 16px;
}
.introduce {
    width: 100%;
    height: 100%;
    overflow: hidden;
    line-height: 22px;
    padding: 10px 10px 0 10px;
    margin-bottom: 10px;
    background: rgba(0,0,0,0.3);
	font-size: 14px;
    font-weight: 500;
}
.introduce .describe {
	float: left;
    width: 80%;
    height: 63px;
    overflow: hidden;
    word-wrap: break-word;
    border-right: 2px solid #2a3461;
    color: #b3c5d3;
}
.introduce .help {
    float: left;
    width: 20%;
    height: 63px;
    padding-left: 20px;
    padding-top: 0px;
    text-align: left;
    vertical-align: middle;
    font-size: 14px;
    color: #246fca;
}
.introduce .help i {
	font-size: 42px;
    margin: 2px;
    color: #1d7df8;
}
.mycontent {
	background: rgba(0,0,0,0.3);
	padding: 0 10px;
}
.mycontent .tool {
    position: relative;
	min-height: 58px;
    padding: 10px 0;
}
.mycontent .tool .toolbar {
    padding: 0; 
}
.mycontent .tool .toolbar > a {
	display: inline-block;
}
.mycontent .tool .toolbar > a:hover {
    /*background-color: rgba(168,172,224,0.4);*/
    /*border-color: rgba(168,172,224,0.4);*/
}
.mycontent .tool .toolbar .dropdown:hover {
	background-color: rgba(168,172,224,0.4);
    border: 1px solid transparent;
}
.toolbar .dropdown-menu > .disabled > a,
.toolbar .dropdown-menu > .disabled > a:hover,
.toolbar .dropdown-menu > .disabled > a:focus {
	color: #ccc;
}
  
.mycontent .tool .toolbar button>i {
    padding-right: 6px;
}
.vm .resources-list {
}
.vm .resources-list >.title {
	display: inline-block;
    text-indent: 8px;
    border-left: 2px solid #88B7E0;
    margin-top: 8px;
    margin-bottom: 8px;
    margin-right: 8px;
    font-size:15px;
}
.vm .resources-list >ul {
	margin: 0;
	padding: 0;
}
.vm .resources-list >ul >li .resources {
	display: inline-block;
	width: calc(100% - 10px);
    margin-bottom: 10px;
    border: 1px solid rgba(255, 255, 255, 0.65);
    background: rgba(0, 0, 0, 0.15);
}

.vm .resources-list >ul >li .resources .resources-title {
	border-bottom: 1px solid rgba(255, 255, 255, 0.65);
    height: 38px;
    padding: 9px 10px;
    margin: 0;
}
.vm .resources-list >ul >li .resources .resources-title .cart{
	float: right;
    display: inline-block;
    width: 38px;
    height: 38px;
    line-height: 38px;
    margin: -9px;
    text-align: center;
    border-left: 1px solid #e1e6eb;
}
.vm .resources-list >ul >li .resources .resources-content {
	/* width: 508px; */
    height: 100%;
    overflow: hidden;
    padding: 28px 24px;    
}

.vm .resources-list >ul >li .resources .resources-content >.item {
	padding: 0;
    width: 30%;
    margin: 0 7%;
}
.vm .resources-list >ul >li .resources .resources-content >.item >li{
	width: 100%;
    height: 100%;
    margin-bottom: 16px;
    background-color: #f3f3f3;
    border-radius: 4px;
    padding-left: 16px;
    font-size: 12px;
    line-height: 24px;
}
.vm .resources-list >ul >li .resources .resources-content >.item >li a {
    padding-right: 6px;
}
.vm .resources-list >ul >li .resources .resources-content >.item >li span {
    color: #06c;
}
.vm .resources-list >ul >li .resources .resources-content .relation-line{
	background: url(../img/vm-init-relation-line.png) no-repeat center center;
    height: 126px;
    width: 10%;
    margin-top: 14px;
}
/*�޸�������*/
.vm-update {
	padding-left: 30px;
}
.vm-update .name {
	padding: 0;
    width: 74px;
}
.vm-update input {
	width: 335px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
/*��������������*/
.vm-renew .form-group {
	padding-left: 10px;
}
.vm-renew .form-group .name {
	min-width: 110px;
}
.vm-renew .form-group input {
	max-width: 250px;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}
.vm-renew .error {
    margin-left: 40px;
    font-size: 12px;
}

/*�����������*/
.vm-change-config .item{ 
	padding-bottom: 10px;
}
.vm-change-config .item buttom {
	margin-right: 6px;
}
/*��*/
.renew .title {
	padding-left: 28px;
}
.renew .cycle {
	position: relative;
}
.renew .cycle .up,
.renew .cycle .down {
	position: absolute;
    display: inline-block;
    width: 40px;
    height: 34px;
    background: #ccc;
    text-align: center;
    color: #fff;
    line-height: 34px;
}
.renew .cycle input {
	text-align: center;
	text-indent: 34px;
	width: 84%;
}
.renew .cycle .down {
	border-top-left-radius: 4px;
    border-bottom-left-radius: 4px;
}
.renew .cycle .up{
	top: 0;
	right: 35px;
	background: #23b7e5;
}
.renew p {
	padding-top: 10px;
}
/*��¡������*/
.vm-clone .config {
    margin: 10px 20px;
    padding: 0;
}
.vm-clone .config li {
    display: inline-block;
    width: calc(50% - 3px);
    border: 1px solid #f2f2f2;
    padding: 5px;
}
.vm-clone .config span {
    display: inline-block;
}
/*���ò���ϵͳ*/
.change-os {
	padding: 0 10px 15px;
}

.change-os .title {
	display: inline-block;
	width: 78px;
	line-height: 36px;
	font-size: 14px;
	white-space: nowrap;
	margin: 0;
	vertical-align: top;
}

.change-os>ul {
	display: inline-block;
	margin: 0;
	padding: 0;
}

.change-os>ul>li {
	display: inline-block;
	padding: 6px 20px;
	border-radius: 2px;
	background-color: rgba(200,200,200,0.4);
	color: #666;
	margin-right: 2px;
	cursor: pointer;
}
.change-os >ul>li.disabled,
.change-os >ul>li.disabled:hover,
.change-os >ul>li.disabled a,
.change-os >ul>li.disabled:hover a {
	cursor: not-allowed;
	background-color: #D9DEE4;
	color: #363f44;
}
.change-os >ul>li.active,
.change-os >ul>li:hover {
    background-color: #53a1c7;
}
.change-os >ul>li.active a,
.change-os >ul>li:hover a{
    color: #f7f7f7;
}
.image-value {
	min-width: 398px;
	margin: 0;
	padding: 10px 0 0 0;
	/*padding: 10px 10px 0 0;
    max-height: 378px;
    overflow: hidden;
    overflow-y: scroll;*/
}
.image-value >li{
    line-height: 23px;
    border: 1px solid #52a0c7;
    border-radius: 0;
    padding: 0 10px 0 10px;
    margin-bottom: 5px;
    cursor: pointer;
}
.image-value >li.active,
.image-value >li:hover {
	background: #52a0c7;
    color: #fff;
}
.image-value >li >p{
	margin: 0;
	font-size: 12px;
}
/*����*/
.change-os .operation-type {
    display: inline-block;
    margin-left: 5px;
    padding: 5px 15px;
    background: #eee none repeat scroll 0 0;
	border-radius: 25px;
    cursor: pointer;
}
.change-os .operation-type.active {
	background: #23b7e5 none repeat scroll 0 0;
    color: #fff;
}
.os-system {
    background: #eee none repeat scroll 0 0;
    border-radius: 25px;
    display: inline-block;
    margin-left: 5px;
    padding: 5px 10px;
    cursor: pointer;
}
.os-system.active,
.os-system:hover {
    background: #2266ba none repeat scroll 0 0;
    color: #fff;
}
.os-system .name {
    background: rgba(0, 0, 0, 0) url("../img/all-os-family.png") no-repeat scroll 0 0 /288px auto;
    display: inline-block;
    height: 18px;
    padding: 0 2px;
    vertical-align: middle;
    width: 20px;
}
.os-system.CENT .name {
    background-position: -10px -15px;
}
.os-system.CENT.active .name,
.os-system.CENT:hover .name {
    background-position: -9px -47px;
}
.os-system.WIN .name {
    background-position: -58px -15px;
}
.os-system.WIN.active .name,
.os-system.WIN:hover .name {
    background-position: -58px -49px;
}
.os-system.RHEL .name {
    background-position: -146px -15px;
}
.os-system.RHEL.active .name,
.os-system.RHEL:hover .name {
    background-position: -146px -48px;
}
.os-system.UBUNTU .name {
    background-position: -105px -15px;
}
.os-system.UBUNTU.active .name,
.os-system.UBUNTU:hover .name {
    background-position: -105px -48px;
}
.os-system.SUSE .name {
    background-position: -194px -15px;
}
.os-system.SUSE.active .name,
.os-system.SUSE:hover .name {
    background-position: -194px -48px;
}
.os-system.OTH .name {
    background-position: -238px -15px;
}
.os-system.OTH.active .name,
.os-system.OTH:hover .name {
    background-position: -238px -48px;
}
/*Ӧ��������*/
.relateVM .move {
	position: relative;
	min-height: 450px;
}
.relateVM .move .right,
.relateVM .move .left {
	position: absolute;
	left: calc(50% - 35px);
}
.relateVM .move .right{
	top: 40%;
}
.relateVM .move .left {
    top: calc(40% + 40px);
}

.pwd-info {
    padding-left: 74px;
    font-size: 12px;
    color: #666;
}
/**/
@media (max-width: 768px) {
	.vm .resources-list >ul >li .resources .resources-content {
		width: 100%;
	}
	.vm .resources-list >ul >li .resources .resources-content >.item {
		width: 40%;
    	margin: 0 2%;
	}
}
@media(max-width: 360px) {
	.vm .resources-list >ul >li .resources .resources-content {
	    padding: 28px 0;
	}
	.vm .resources-list >ul >li .resources .resources-content >.item >li {
		padding-left: 4px;
	}
}